#### 7.10.4.13 testSyz

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  testSyz(M,S); module M, S

Return:
  module

Purpose:
  tests the result of the syz procedure

Assume:
  S is the syzygy bimodule of M

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y),(c,Dp);
    ring R = freeAlgebra(r, 7, 2);
    ideal I = twostd(x*y*x + 1);
    print(matrix(I));
    ==> x*y-y*x,y*x*x+1
    module S = syz(I);
    print(S);
    ==> ncgen(1)*x*x,S[1,2],S[1,3],S[1,4],S[1,5],
    ==> S[2,1],      S[2,2],S[2,3],S[2,4],S[2,5]
    testSyz(I,S); // returns zero
    ==> _[1]=0
    ==> _[2]=0
    ==> _[3]=0
    ==> _[4]=0
    ==> _[5]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.